output "bucket_arn" {
  value       = aws_s3_bucket.this.arn
  description = "The S3 bucket ARN."
}

output "bucket_name" {
  value       = aws_s3_bucket.this.id
  description = "The bucket name (echoes the input)."
}

output "bucket_regional_domain_name" {
  value       = aws_s3_bucket.this.bucket_regional_domain_name
  description = "The bucket regional domain name (e.g. nova-spike-bucket.s3.us-east-1.amazonaws.com)."
}